Padre::Logger(3pm)

NAME
Padre::Logger - Compile-time logging library for Padre

SYNOPSIS
  # In the launcher script
  $ENV{PADRE_DEBUG} = 1;

  use Padre;

  # In each Padre::Foo class
  use Padre::Logger;

  sub method {
      TRACE('->method') if DEBUG;

      # Your code as normal
  }

DESCRIPTION
This is a logging utility class for Padre. It provides a basic set of simple functionality that allows for logging/debugging/tracing statements to be used in Padre that will compile out of the application when not in use.